Bread::Board::SetterInjection(3pm)

NAME
Bread::Board::SetterInjection - service instantiating objects via setter functions

VERSION
version 0.37

DESCRIPTION
This service class instantiates objects by calling "new" on a class, then calling setters on the returned object.

This class consumes Bread::Board::Service::WithClass, Bread::Board::Service::WithParameters, Bread::Board::Service::WithDependencies.

ATTRIBUTES

  "class"
Attribute provided by Bread::Board::Service::WithClass. This service makes it a required attribute: you can't call a constructor if you don't have a class.

METHODS

  "get"
Calls the "new" method on the "class" to get the object to return; then, for each of the service parameters, calls a setter with the same name as the parameter, passing it the parameter's value.

AUTHOR
Stevan Little <stevan@iinteractive.com>

BUGS
Please report any bugs or feature requests on the bugtracker website https://github.com/stevan/BreadBoard/issues

When submitting a bug or request, please include a test-file or a patch to an existing test-file that illustrates the bug or desired feature.

COPYRIGHT AND LICENSE
This software is copyright (c) 2019, 2017, 2016, 2015, 2014, 2013, 2011, 2009 by Infinity Interactive.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.